Subject: Re: Missing proto for sigaction() in <sys/signal.h>
From: [email-masked] (Jim Balter)

28 Mar 1997 11:27:17 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Mumit Khan <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Mumit Khan wrote:
> 
> Jim Balter <[email-masked]> writes:
> >
> > [<signal.h> actually; POSIX doesn't mandate <sys/sygnal.h>]
> >
> > Aside from sigaction, the following symbols mandated by POSIX are
> > missing from signal.h:
> >
> > SIGCONT
> 
> Hmmm ... there in my copy. My CVS repo is trashed, so hard to tell if
> I added it or not.

It's defined twice in sys/signal.h, but in both cases ifdefed
out by _WIN32.  Of course there is no job control in gnu-win32,
but that should be indicated by sysconf (which in cygwin returns the
wrong value for _SC_JOB_CONTROL and is misimplemented in general;
someone asked me if I had any other reason
not to post my bugs and patches -- yes, there are too many to keep
track of, and rather than write patches I am writing my own library,
*with the POSIX standard in my hand*, something that the original
author should have done).

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".